/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __RANDOM_KERN_SKEL_H__
#define __RANDOM_KERN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct random_kern {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *random_choice;
	} progs;
	struct {
		struct bpf_link *random_choice;
	} links;
	struct random_kern__bss {
		int number_of_sockets;
	} *bss;

#ifdef __cplusplus
	static inline struct random_kern *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct random_kern *open_and_load();
	static inline int load(struct random_kern *skel);
	static inline int attach(struct random_kern *skel);
	static inline void detach(struct random_kern *skel);
	static inline void destroy(struct random_kern *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
random_kern__destroy(struct random_kern *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
random_kern__create_skeleton(struct random_kern *obj);

static inline struct random_kern *
random_kern__open_opts(const struct bpf_object_open_opts *opts)
{
	struct random_kern *obj;
	int err;

	obj = (struct random_kern *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = random_kern__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	random_kern__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct random_kern *
random_kern__open(void)
{
	return random_kern__open_opts(NULL);
}

static inline int
random_kern__load(struct random_kern *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct random_kern *
random_kern__open_and_load(void)
{
	struct random_kern *obj;
	int err;

	obj = random_kern__open();
	if (!obj)
		return NULL;
	err = random_kern__load(obj);
	if (err) {
		random_kern__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
random_kern__attach(struct random_kern *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
random_kern__detach(struct random_kern *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *random_kern__elf_bytes(size_t *sz);

static inline int
random_kern__create_skeleton(struct random_kern *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "random_kern";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "random_k.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "random_choice";
	s->progs[0].prog = &obj->progs.random_choice;
	s->progs[0].link = &obj->links.random_choice;

	s->data = random_kern__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *random_kern__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x19\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\0\x18\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x61\x61\0\0\0\0\0\0\x15\x01\x08\0\0\0\0\0\x85\0\0\0\x07\0\0\0\x61\x61\0\
\0\0\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\xbf\x02\0\0\0\0\0\0\x3f\x12\
\0\0\0\0\0\0\x2f\x12\0\0\0\0\0\0\x1f\x20\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x01\x11\
\x01\x25\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\
\x0e\x49\x13\x3a\x0b\x3b\x0b\0\0\x03\x26\0\x49\x13\0\0\x04\x0f\0\x49\x13\0\0\
\x05\x15\0\x49\x13\x27\x19\0\0\x06\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\
\x07\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x08\x34\0\x03\x0e\x49\x13\x3f\x19\x3a\
\x0b\x3b\x0b\x02\x18\0\0\x09\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\
\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x0a\x05\0\x03\x0e\x3a\x0b\x3b\
\x0b\x49\x13\0\0\x0b\x13\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x0c\x0d\0\x03\
\x0e\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x0d\x0d\0\x49\x13\x3a\x0b\x3b\x05\x38\
\x0b\0\0\x0e\x17\x01\x0b\x0b\x3a\x0b\x3b\x05\0\0\x0f\x01\x01\x49\x13\0\0\x10\
\x21\0\x49\x13\x37\x0b\0\0\x11\x24\0\x03\x0e\x0b\x0b\x3e\x0b\0\0\x12\x13\x01\
\x0b\x0b\x3a\x0b\x3b\x05\0\0\x13\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x05\0\0\0\
\xc4\x04\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\x0c\0\x15\0\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\0\0\0\0\x78\0\0\0\x02\x5c\0\0\0\x35\0\0\0\x02\xc1\x03\x3a\0\0\0\x04\x3f\
\0\0\0\x05\x44\0\0\0\x06\x4f\0\0\0\x7d\0\0\0\x01\x0c\x07\x70\0\0\0\x07\x04\x08\
\x83\0\0\0\x6b\0\0\0\x03\x1a\x09\x03\0\0\0\0\0\0\0\0\x07\x95\0\0\0\x05\x04\x09\
\0\0\0\0\0\0\0\0\x78\0\0\0\x01\x5a\x99\0\0\0\x03\x1d\x6b\0\0\0\x0a\xa7\0\0\0\
\x03\x1d\x97\0\0\0\0\x04\x9c\0\0\0\x0b\x45\x03\0\0\xc0\x01\xb9\xfe\x0c\xab\0\0\
\0\x44\0\0\0\x01\xba\xfe\0\x0c\xaf\0\0\0\x44\0\0\0\x01\xbb\xfe\x04\x0c\xb8\0\0\
\0\x44\0\0\0\x01\xbc\xfe\x08\x0c\xbd\0\0\0\x44\0\0\0\x01\xbd\xfe\x0c\x0c\xcb\0\
\0\0\x44\0\0\0\x01\xbe\xfe\x10\x0c\xd4\0\0\0\x44\0\0\0\x01\xbf\xfe\x14\x0c\xe1\
\0\0\0\x44\0\0\0\x01\xc0\xfe\x18\x0c\xea\0\0\0\x44\0\0\0\x01\xc1\xfe\x1c\x0c\
\xf5\0\0\0\x44\0\0\0\x01\xc2\xfe\x20\x0c\xfe\0\0\0\x44\0\0\0\x01\xc3\xfe\x24\
\x0c\x0e\x01\0\0\x44\0\0\0\x01\xc4\xfe\x28\x0c\x16\x01\0\0\x44\0\0\0\x01\xc5\
\xfe\x2c\x0c\x1f\x01\0\0\x7e\x02\0\0\x01\xc6\xfe\x30\x0c\x36\x01\0\0\x44\0\0\0\
\x01\xc7\xfe\x44\x0c\x3b\x01\0\0\x44\0\0\0\x01\xc8\xfe\x48\x0c\x46\x01\0\0\x44\
\0\0\0\x01\xc9\xfe\x4c\x0c\x4b\x01\0\0\x44\0\0\0\x01\xca\xfe\x50\x0c\x54\x01\0\
\0\x44\0\0\0\x01\xcb\xfe\x54\x0c\x5c\x01\0\0\x44\0\0\0\x01\xcc\xfe\x58\x0c\x63\
\x01\0\0\x44\0\0\0\x01\xcd\xfe\x5c\x0c\x6e\x01\0\0\x44\0\0\0\x01\xce\xfe\x60\
\x0c\x78\x01\0\0\x91\x02\0\0\x01\xcf\xfe\x64\x0c\x83\x01\0\0\x91\x02\0\0\x01\
\xd0\xfe\x74\x0c\x8d\x01\0\0\x44\0\0\0\x01\xd1\xfe\x84\x0c\x99\x01\0\0\x44\0\0\
\0\x01\xd2\xfe\x88\x0c\xa4\x01\0\0\x44\0\0\0\x01\xd3\xfe\x8c\x0d\0\x02\0\0\x01\
\xd4\xfe\x90\x0e\x08\x01\xd4\xfe\x0c\xae\x01\0\0\x9d\x02\0\0\x01\xd5\xfe\0\0\
\x0c\x84\x02\0\0\xe5\x03\0\0\x01\xd7\xfe\x98\x0c\xa8\x02\0\0\x44\0\0\0\x01\xd8\
\xfe\xa0\x0c\xb1\x02\0\0\x44\0\0\0\x01\xd9\xfe\xa4\x0d\x43\x02\0\0\x01\xda\xfe\
\xa8\x0e\x08\x01\xda\xfe\x0c\xba\x02\0\0\xf7\x03\0\0\x01\xdb\xfe\0\0\x0c\x27\
\x03\0\0\x44\0\0\0\x01\xdd\xfe\xb0\x0c\x30\x03\0\0\xbb\x03\0\0\x01\xde\xfe\xb4\
\x0c\x3c\x03\0\0\xe5\x03\0\0\x01\xdf\xfe\xb8\0\x0f\x44\0\0\0\x10\x8a\x02\0\0\
\x05\0\x11\x22\x01\0\0\x08\x07\x0f\x44\0\0\0\x10\x8a\x02\0\0\x04\0\x04\xa2\x02\
\0\0\x0b\x76\x02\0\0\x38\x01\x8f\xfe\x0c\xb8\x01\0\0\xa9\x03\0\0\x01\x90\xfe\0\
\x0c\xd3\x01\0\0\xa9\x03\0\0\x01\x91\xfe\x02\x0c\xd9\x01\0\0\xa9\x03\0\0\x01\
\x92\xfe\x04\x0c\xe4\x01\0\0\xbb\x03\0\0\x01\x93\xfe\x06\x0c\xff\x01\0\0\xbb\
\x03\0\0\x01\x94\xfe\x07\x0c\x0d\x02\0\0\xbb\x03\0\0\x01\x95\xfe\x08\x0c\x16\
\x02\0\0\xbb\x03\0\0\x01\x96\xfe\x09\x0c\x1f\x02\0\0\xcd\x03\0\0\x01\x97\xfe\
\x0a\x0c\x2e\x02\0\0\xcd\x03\0\0\x01\x98\xfe\x0c\x0c\x34\x02\0\0\xcd\x03\0\0\
\x01\x99\xfe\x0e\x0d\x36\x03\0\0\x01\x9a\xfe\x10\x0e\x20\x01\x9a\xfe\x0d\x44\
\x03\0\0\x01\x9b\xfe\0\x12\x08\x01\x9b\xfe\x0c\x3a\x02\0\0\xd9\x03\0\0\x01\x9c\
\xfe\0\x0c\x4a\x02\0\0\xd9\x03\0\0\x01\x9d\xfe\x04\0\x0d\x6d\x03\0\0\x01\x9f\
\xfe\0\x12\x20\x01\x9f\xfe\x0c\x53\x02\0\0\x91\x02\0\0\x01\xa0\xfe\0\x0c\x5c\
\x02\0\0\x91\x02\0\0\x01\xa1\xfe\x10\0\0\x0c\x65\x02\0\0\x44\0\0\0\x01\xa4\xfe\
\x30\x0c\x6b\x02\0\0\xd9\x03\0\0\x01\xa5\xfe\x34\0\x06\xb4\x03\0\0\xcd\x01\0\0\
\x01\x0a\x07\xbe\x01\0\0\x07\x02\x06\xc6\x03\0\0\xfa\x01\0\0\x01\x08\x07\xec\
\x01\0\0\x08\x01\x13\xa9\x03\0\0\x27\x02\0\0\x01\xee\x3c\x13\x44\0\0\0\x43\x02\
\0\0\x01\xf0\x3c\x06\xf0\x03\0\0\xa2\x02\0\0\x01\x0e\x07\x8b\x02\0\0\x07\x08\
\x04\xfc\x03\0\0\x0b\x1e\x03\0\0\x50\x01\xa8\xfe\x0c\xbd\x02\0\0\x44\0\0\0\x01\
\xa9\xfe\0\x0c\x5c\x01\0\0\x44\0\0\0\x01\xaa\xfe\x04\x0c\xca\x02\0\0\x44\0\0\0\
\x01\xab\xfe\x08\x0c\xcb\0\0\0\x44\0\0\0\x01\xac\xfe\x0c\x0c\xb8\0\0\0\x44\0\0\
\0\x01\xad\xfe\x10\x0c\xf5\0\0\0\x44\0\0\0\x01\xae\xfe\x14\x0c\xcf\x02\0\0\x44\
\0\0\0\x01\xaf\xfe\x18\x0c\xd7\x02\0\0\x91\x02\0\0\x01\xb0\xfe\x1c\x0c\xdf\x02\
\0\0\x44\0\0\0\x01\xb1\xfe\x2c\x0c\xe8\x02\0\0\xcd\x03\0\0\x01\xb2\xfe\x30\x0c\
\xf1\x02\0\0\x44\0\0\0\x01\xb3\xfe\x34\x0c\xf9\x02\0\0\x91\x02\0\0\x01\xb4\xfe\
\x38\x0c\x01\x03\0\0\x44\0\0\0\x01\xb5\xfe\x48\x0c\x07\x03\0\0\xbc\x04\0\0\x01\
\xb6\xfe\x4c\0\x06\x6b\0\0\0\x18\x03\0\0\x01\xf1\0\x63\x6c\x61\x6e\x67\x20\x76\
\x65\x72\x73\x69\x6f\x6e\x20\x31\x33\x2e\x30\x2e\x31\0\x6d\x6f\x64\x75\x6c\x65\
\x73\x2f\x65\x62\x70\x66\x2f\x72\x61\x6e\x64\x6f\x6d\x2e\x6b\x65\x72\x6e\x2e\
\x63\0\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x73\x79\x73\x6c\x6f\x67\x2d\x6e\x67\
\x2d\x34\x2e\x38\x2e\x30\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x70\x72\x61\x6e\x64\
\x6f\x6d\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x5f\x5f\x75\x33\x32\0\x6e\x75\x6d\x62\x65\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\
\x65\x74\x73\0\x69\x6e\x74\0\x72\x61\x6e\x64\x6f\x6d\x5f\x63\x68\x6f\x69\x63\
\x65\0\x73\x6b\x62\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\
\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\
\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\
\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\
\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\
\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\
\x63\x62\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\
\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\
\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\
\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\
\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\
\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\
\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x6e\x68\x6f\x66\x66\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x5f\x5f\x75\x31\x36\0\x74\x68\x6f\
\x66\x66\0\x61\x64\x64\x72\x5f\x70\x72\x6f\x74\x6f\0\x69\x73\x5f\x66\x72\x61\
\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x75\x38\0\
\x69\x73\x5f\x66\x69\x72\x73\x74\x5f\x66\x72\x61\x67\0\x69\x73\x5f\x65\x6e\x63\
\x61\x70\0\x69\x70\x5f\x70\x72\x6f\x74\x6f\0\x6e\x5f\x70\x72\x6f\x74\x6f\0\x5f\
\x5f\x62\x65\x31\x36\0\x73\x70\x6f\x72\x74\0\x64\x70\x6f\x72\x74\0\x69\x70\x76\
\x34\x5f\x73\x72\x63\0\x5f\x5f\x62\x65\x33\x32\0\x69\x70\x76\x34\x5f\x64\x73\
\x74\0\x69\x70\x76\x36\x5f\x73\x72\x63\0\x69\x70\x76\x36\x5f\x64\x73\x74\0\x66\
\x6c\x61\x67\x73\0\x66\x6c\x6f\x77\x5f\x6c\x61\x62\x65\x6c\0\x62\x70\x66\x5f\
\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x74\x73\x74\x61\x6d\x70\0\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x5f\x5f\x75\x36\x34\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\
\x65\x67\x73\0\x73\x6b\0\x62\x6f\x75\x6e\x64\x5f\x64\x65\x76\x5f\x69\x66\0\x74\
\x79\x70\x65\0\x73\x72\x63\x5f\x69\x70\x34\0\x73\x72\x63\x5f\x69\x70\x36\0\x73\
\x72\x63\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x70\x6f\x72\x74\0\x64\x73\x74\
\x5f\x69\x70\x34\0\x64\x73\x74\x5f\x69\x70\x36\0\x73\x74\x61\x74\x65\0\x72\x78\
\x5f\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x5f\x5f\x73\x33\x32\
\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\
\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\
\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xfc\x02\0\0\
\xfc\x02\0\0\xa4\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x22\0\0\x04\xc0\
\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\
\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\
\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\
\0\xe0\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\x6e\
\0\0\0\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\0\0\
\0\x80\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\x02\0\0\
\x92\0\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\
\0\0\0\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\
\0\0\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\
\x07\0\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\
\x04\0\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\
\0\x0a\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\
\x20\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\x05\0\0\
\x1c\x01\0\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\x0a\0\0\0\xc0\x05\0\0\x31\x01\0\
\0\0\0\0\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\x44\x01\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\
\x05\x08\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x15\0\0\0\x62\
\x01\0\0\0\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\
\x01\0\0\x05\x08\0\0\0\x7f\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x16\0\0\
\0\x82\x01\0\0\0\0\0\x08\x0f\0\0\0\x87\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\
\0\0\0\x01\0\0\x0d\x11\0\0\0\x95\x01\0\0\x01\0\0\0\x99\x01\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\x01\x9d\x01\0\0\x01\0\0\x0c\x10\0\0\0\x76\x02\0\0\0\0\0\x0e\x11\0\
\0\0\x01\0\0\0\x88\x02\0\0\x01\0\0\x0f\0\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\x8d\
\x02\0\0\0\0\0\x07\0\0\0\0\x9b\x02\0\0\0\0\0\x07\0\0\0\0\0\x5f\x5f\x73\x6b\x5f\
\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\
\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\
\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\
\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\
\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\
\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\
\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\
\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\
\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\
\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\
\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\
\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\
\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\
\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x5f\x5f\x75\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\x20\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x69\x6e\x74\0\
\x72\x61\x6e\x64\x6f\x6d\x5f\x63\x68\x6f\x69\x63\x65\0\x73\x6f\x63\x6b\x65\x74\
\0\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x73\x79\x73\x6c\x6f\x67\x2d\x6e\x67\x2d\
\x34\x2e\x38\x2e\x30\x2f\x6d\x6f\x64\x75\x6c\x65\x73\x2f\x65\x62\x70\x66\x2f\
\x72\x61\x6e\x64\x6f\x6d\x2e\x6b\x65\x72\x6e\x2e\x63\0\x69\x6e\x74\x20\x72\x61\
\x6e\x64\x6f\x6d\x5f\x63\x68\x6f\x69\x63\x65\x28\x73\x74\x72\x75\x63\x74\x20\
\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x20\x20\x69\x66\
\x20\x28\x6e\x75\x6d\x62\x65\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\x65\x74\x73\
\x20\x3d\x3d\x20\x30\x29\0\x20\x20\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x70\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x33\x32\x28\x29\x20\x25\
\x20\x6e\x75\x6d\x62\x65\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\x65\x74\x73\x3b\0\
\x7d\0\x6e\x75\x6d\x62\x65\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\x65\x74\x73\0\
\x2e\x62\x73\x73\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\
\x70\x66\x5f\x73\x6f\x63\x6b\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\
\0\0\x8c\0\0\0\xa0\0\0\0\0\0\0\0\x08\0\0\0\xab\x01\0\0\x01\0\0\0\0\0\0\0\x12\0\
\0\0\x10\0\0\0\xab\x01\0\0\x08\0\0\0\0\0\0\0\xb2\x01\0\0\xf9\x01\0\0\0\x74\0\0\
\x10\0\0\0\xb2\x01\0\0\x22\x02\0\0\x07\x7c\0\0\x28\0\0\0\xb2\x01\0\0\x22\x02\0\
\0\x07\x7c\0\0\x30\0\0\0\xb2\x01\0\0\x40\x02\0\0\x0a\x88\0\0\x38\0\0\0\xb2\x01\
\0\0\x40\x02\0\0\x22\x88\0\0\x40\0\0\0\xb2\x01\0\0\x40\x02\0\0\x0a\x88\0\0\x50\
\0\0\0\xb2\x01\0\0\x40\x02\0\0\x20\x88\0\0\x70\0\0\0\xb2\x01\0\0\x74\x02\0\0\
\x01\x8c\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x98\0\0\0\x04\0\x65\0\0\0\x08\x01\
\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x6d\x6f\x64\x75\x6c\x65\
\x73\x2f\x65\x62\x70\x66\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\
\x62\x70\x66\0\0\x76\x6d\x6c\x69\x6e\x75\x78\x2e\x68\0\x01\0\0\x62\x70\x66\x5f\
\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x02\0\0\x72\x61\x6e\x64\
\x6f\x6d\x2e\x6b\x65\x72\x6e\x2e\x63\0\x01\0\0\0\x04\x03\0\x09\x02\0\0\0\0\0\0\
\0\0\x03\x1d\x01\x05\x07\x0a\x2f\x06\x3c\x05\x0a\x06\x23\x05\x22\x06\x20\x05\
\x0a\x20\x05\x20\x2e\x05\x01\x06\x4b\x02\x01\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\0\0\0\0\0\
\x03\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x8e\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x2d\0\0\
\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\
\x09\0\0\0\x06\0\0\0\0\0\0\0\x03\0\0\0\x04\0\0\0\x0c\0\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\x12\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x16\0\0\0\0\0\0\0\x03\0\0\0\
\x07\0\0\0\x1a\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x1e\0\0\0\0\0\0\0\x02\0\0\0\
\x02\0\0\0\x2b\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x49\0\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\x50\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x57\0\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\x63\0\0\0\0\0\0\0\x02\0\0\0\x09\0\0\0\x6c\0\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\x73\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x81\0\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\x8c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x9d\0\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\xa6\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xb3\0\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\xc0\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xcd\0\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\xda\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xe7\0\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\xf4\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x01\x01\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\x0e\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x1b\x01\0\0\0\0\0\0\x03\0\0\
\0\x05\0\0\0\x28\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x35\x01\0\0\0\0\0\0\x03\0\
\0\0\x05\0\0\0\x42\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x4f\x01\0\0\0\0\0\0\x03\
\0\0\0\x05\0\0\0\x5c\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x69\x01\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x76\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x83\x01\0\0\0\0\0\
\0\x03\0\0\0\x05\0\0\0\x90\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x9d\x01\0\0\0\0\
\0\0\x03\0\0\0\x05\0\0\0\xaa\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xb7\x01\0\0\0\
\0\0\0\x03\0\0\0\x05\0\0\0\xc4\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xd1\x01\0\0\
\0\0\0\0\x03\0\0\0\x05\0\0\0\xde\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xeb\x01\0\
\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x06\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x14\x02\
\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x21\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x2e\
\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x49\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x57\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x64\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\
\0\x71\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x8b\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\
\0\0\xa3\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xac\x02\0\0\0\0\0\0\x03\0\0\0\x05\
\0\0\0\xb9\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xc6\x02\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\xd3\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xe0\x02\0\0\0\0\0\0\x03\0\0\
\0\x05\0\0\0\xed\x02\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xfa\x02\0\0\0\0\0\0\x03\0\
\0\0\x05\0\0\0\x07\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x14\x03\0\0\0\0\0\0\x03\
\0\0\0\x05\0\0\0\x21\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x4a\x03\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x57\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x73\x03\0\0\0\0\0\
\0\x03\0\0\0\x05\0\0\0\x80\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x8f\x03\0\0\0\0\
\0\0\x03\0\0\0\x05\0\0\0\x9c\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xae\x03\0\0\0\
\0\0\0\x03\0\0\0\x05\0\0\0\xb5\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xc0\x03\0\0\
\0\0\0\0\x03\0\0\0\x05\0\0\0\xc7\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xd2\x03\0\
\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xde\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xea\x03\
\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xf1\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xfd\
\x03\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x06\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x13\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x20\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\
\0\x2d\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x3a\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\
\0\0\x47\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x54\x04\0\0\0\0\0\0\x03\0\0\0\x05\
\0\0\0\x61\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x6e\x04\0\0\0\0\0\0\x03\0\0\0\
\x05\0\0\0\x7b\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x88\x04\0\0\0\0\0\0\x03\0\0\
\0\x05\0\0\0\x95\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xa2\x04\0\0\0\0\0\0\x03\0\
\0\0\x05\0\0\0\xaf\x04\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xc1\x04\0\0\0\0\0\0\x03\
\0\0\0\x05\0\0\0\xf4\x02\0\0\0\0\0\0\x04\0\0\0\x09\0\0\0\x2c\0\0\0\0\0\0\0\x04\
\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\0\x04\0\
\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\x04\0\0\
\0\x02\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\x04\0\0\0\
\x02\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xb0\0\0\0\0\0\0\0\x04\0\0\0\
\x02\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\
\x02\0\0\0\x74\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x08\0\x2e\x64\x65\x62\x75\x67\
\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x6e\x75\
\x6d\x62\x65\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\x65\x74\x73\0\x2e\x62\x73\x73\
\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\
\x75\x67\x5f\x69\x6e\x66\x6f\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\
\x67\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\
\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x72\x61\x6e\x64\x6f\
\x6d\x5f\x63\x68\x6f\x69\x63\x65\0\x72\x61\x6e\x64\x6f\x6d\x2e\x6b\x65\x72\x6e\
\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\
\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x91\x18\0\0\0\0\0\0\xca\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x26\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x78\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x11\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x3f\0\0\0\x08\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb8\0\0\0\0\0\0\0\xef\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x53\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa7\x01\
\0\0\0\0\0\0\xc8\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x4f\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\xc0\
\x05\0\0\0\0\0\0\x13\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x44\0\
\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\x06\0\0\0\0\0\0\x4f\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xbe\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbe\x09\0\0\0\0\0\0\xb8\x05\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xba\0\0\0\x09\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x17\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\0\0\x0a\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x76\x0f\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\
\x17\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x13\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x81\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x10\0\0\0\
\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\
\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x18\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x13\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x71\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x10\0\0\0\0\0\0\x9c\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\x09\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x18\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\0\0\x10\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5f\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\
\0\0\0\0\0\0\0\0\0\0\x90\x18\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x13\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb2\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x11\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x08\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct random_kern *random_kern::open(const struct bpf_object_open_opts *opts) { return random_kern__open_opts(opts); }
struct random_kern *random_kern::open_and_load() { return random_kern__open_and_load(); }
int random_kern::load(struct random_kern *skel) { return random_kern__load(skel); }
int random_kern::attach(struct random_kern *skel) { return random_kern__attach(skel); }
void random_kern::detach(struct random_kern *skel) { random_kern__detach(skel); }
void random_kern::destroy(struct random_kern *skel) { random_kern__destroy(skel); }
const void *random_kern::elf_bytes(size_t *sz) { return random_kern__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
random_kern__assert(struct random_kern *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->number_of_sockets) == 4, "unexpected size of 'number_of_sockets'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __RANDOM_KERN_SKEL_H__ */
